
#ifndef ORB2ORB_LOGMGR_H
#define ORB2ORB_LOGMGR_H

class O2oLogMgr
{
	public:
					O2oLogMgr( void );
					~O2oLogMgr( void );
	
		void			run( void );

		void			setVerbose( int verbose );

		void			notify( std::string msg );
		void			verbose( std::string msg );
		void			veryVerbose( std::string msg );
		void			complain( std::string msg );
		void			die( std::string msg );
		void			die_initializing( std::string msg );

		void			DEBUG( std::string msg );
		void			SCAFFOLD( std::string msg );
		void			SCAFFOLD_FEATURE( std::string msg, bool fatal = false );

	private:

		void			msgToLogQueue( std::string msg );

		std::mutex		m_logMutex;

		int			m_verbose;
};

#endif
