
#ifndef ORBHANDLE_H
#define ORBHANDLE_H

class OrbHandle
{
	public:
											OrbHandle( std::string orbname );
											~OrbHandle( void );

		void									addOrbTag( std::string orbtag );
		std::string								getString( std::string key );
		std::string								getFirstOrbTag( void );	

		static std::shared_ptr<OrbHandle>					getOrbHandle( std::string orbname, bool create = false );

	private:

		std::string								m_orbname;
		std::vector<std::string>						m_orbTags;

		static std::unordered_map<std::string,std::shared_ptr<OrbHandle>>	s_orbHandles;
};

#endif
